Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 20/04/2010, à 11:25

Del Gro Badeu

Personnalisation des bulles de notifications [patch inside] [MAJ]

Bonjour tout le monde,

voilà hier je voulais paramétrer mes notifications et notify-osd ne propose toujours rien de follichon. Après avoir cherché quelques temps sur google je suis tombé sur un patch qui permet de modifier la couleur au travers d'un fichier de configuration mais il n'était plus à jour et ne permettait pas de faire tous les réglages que je voulais.

Alors je me suis mis les mains dans le cambouis hier aprem et voici un petit patch qui permet de changer la couleur (en reprenant les modifs du précédent) mais aussi d'activer ou non l'ombre portée sur le texte des notifications pour améliorer la lisibilité avec certaines couleurs et enfin choisir l'emplacement des notifs entre le coin supérieur droit, le coté droit, le coin inférieur droit, sachant que si les notifs sont dans le coin inférieur droit, la cinématique des bulles est modifiée de façon à aller vers le haut quand leur contenu est complèté et à se décaler si il y en a besoin.

Mise à jour
La procédure ci-dessous est pour lucid lynx, mais vous trouverez deux scripts en bas du message pour automatiser la procédure : un pour lucid lynx, l'autre pour karmic koala

Le code n'est pas garantie sans bug, je n'avais que deux machines pour tester, mais a priori il se comporte bien. N'hésitez pas à me faire du retour.

Patch : http://m-del.net/wp-content/uploads/201 … d-cp.patch

Avant :
normal_w_gap-300x175.png

Après (avec la configuration donné ici en exemple) :
Screenshot-300x175.png

Procédure d'installation en condensé :

sudo apt-get install build-essential libnotify-bin
sudo apt-get build-dep notify-osd
mkdir ~/work
cd ~/work
apt-get source notify-osd
wget http://m-del.net/wp-content/uploads/2010/04/notify-osd-cp.patch
cd notify-osd-0.9.29
patch -p1 -i ../notify-osd-cp.patch
./configure --prefix=/usr
make
sudo make install

Exemple de fichier de configuration ~/.notify-osd

gravity = south-east
slot-allocation = dynamic
bubble-background-color = FFFFFF
bubble-background-opacity = .50
text-title-color = 000000
text-title-opacity = 1.0
text-title-drop-shadow = 0
text-body-color = 000000
text-body-opacity = 1.0
text-body-drop-shadow = 0

Redémarrer le notify-osd

killall notify-osd && notify-osd

Mise à jour : les locales sont prises en compte dans le fichier de configuration. Ainsi l'opacité se règle avec une valeur décimale à la française sur un système configuré en français (ex : bubble-background-opacity = ,50) et avec un point décimal dans les autres cas.

En espérant que ça vous plaise.

Pour avoir plus de détails : http://m-del.net/2010/04/personnaliser-les-notifications-ubuntu/

Scripts :
Karmic : http://m-del.net/wp-content/uploads/2010/04/notify-osd-karmic.sh
Lucid : http://m-del.net/wp-content/uploads/2010/04/notify-osd-lucid.sh

Bonne journée.

Dernière modification par Del Gro Badeu (Le 08/05/2010, à 12:41)

Hors ligne

#2 Le 20/04/2010, à 13:14

exzemat

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

cool!!!!!!!!!!!!!!!!

comme idée (j'attends ça depuis un bout de temps)

mais l'installation foire au niveau du "cd notify-osd-0.9.29"

mat@mat-desktop:~$ sudo apt-get install build-essential libnotify-bin
[sudo] password for mat: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libdiscid0 libmusicbrainz3-6
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  dpkg-dev g++ g++-4.4 libstdc++6-4.4-dev
Paquets suggérés :
  debian-keyring debian-maintainers g++-multilib g++-4.4-multilib gcc-4.4-doc
  libstdc++6-4.4-dbg libstdc++6-4.4-doc
Les NOUVEAUX paquets suivants seront installés :
  build-essential dpkg-dev g++ g++-4.4 libnotify-bin libstdc++6-4.4-dev
0 mis à jour, 6 nouvellement installés, 0 à enlever et 19 non mis à jour.
Il est nécessaire de prendre 7 617ko dans les archives.
Après cette opération, 25,0Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Réception de : 1 http://fr.archive.ubuntu.com karmic-updates/main libstdc++6-4.4-dev 4.4.1-4ubuntu9 [1 526kB]
Réception de : 2 http://fr.archive.ubuntu.com karmic-updates/main g++-4.4 4.4.1-4ubuntu9 [5 502kB]
Réception de : 3 http://fr.archive.ubuntu.com karmic/main g++ 4:4.4.1-1ubuntu2 [1 448B]
Réception de : 4 http://fr.archive.ubuntu.com karmic-updates/main dpkg-dev 1.15.4ubuntu2.1 [573kB]
Réception de : 5 http://fr.archive.ubuntu.com karmic/main build-essential 11.4 [7 170B]
Réception de : 6 http://fr.archive.ubuntu.com karmic/universe libnotify-bin 0.4.5-1ubuntu1 [7 306B]
7 617ko réceptionnés en 10s (756ko/s)                                          
Sélection du paquet libstdc++6-4.4-dev précédemment désélectionné.
(Lecture de la base de données... 166875 fichiers et répertoires déjà installés.)
Dépaquetage de libstdc++6-4.4-dev (à partir de .../libstdc++6-4.4-dev_4.4.1-4ubuntu9_amd64.deb) ...
Sélection du paquet g++-4.4 précédemment désélectionné.
Dépaquetage de g++-4.4 (à partir de .../g++-4.4_4.4.1-4ubuntu9_amd64.deb) ...
Sélection du paquet g++ précédemment désélectionné.
Dépaquetage de g++ (à partir de .../g++_4%3a4.4.1-1ubuntu2_amd64.deb) ...
Sélection du paquet dpkg-dev précédemment désélectionné.
Dépaquetage de dpkg-dev (à partir de .../dpkg-dev_1.15.4ubuntu2.1_all.deb) ...
Sélection du paquet build-essential précédemment désélectionné.
Dépaquetage de build-essential (à partir de .../build-essential_11.4_amd64.deb) ...
Sélection du paquet libnotify-bin précédemment désélectionné.
Dépaquetage de libnotify-bin (à partir de .../libnotify-bin_0.4.5-1ubuntu1_amd64.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de dpkg-dev (1.15.4ubuntu2.1) ...
Paramétrage de libnotify-bin (0.4.5-1ubuntu1) ...
Paramétrage de libstdc++6-4.4-dev (4.4.1-4ubuntu9) ...
Paramétrage de g++-4.4 (4.4.1-4ubuntu9) ...
Paramétrage de g++ (4:4.4.1-1ubuntu2) ...
update-alternatives: utilisation de « /usr/bin/g++ » pour fournir « /usr/bin/c++ » (c++) dans mode automatique.

Paramétrage de build-essential (11.4) ...
mat@mat-desktop:~$ sudo apt-get build-dep notify-osd
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants contiennent des dépendances non satisfaites :
  libgtk2.0-dev: Dépend: libpango1.0-dev (>= 1.20) mais ne sera pas installé
                 Dépend: libcairo2-dev (>= 1.6.4-6.1) mais ne sera pas installé
  libwnck-dev: Dépend: libpango1.0-dev mais ne sera pas installé
               Dépend: libcairo2-dev mais ne sera pas installé
E: Les dépendances de compilation pour notify-osd ne peuvent pas être satisfaites.
mat@mat-desktop:~$ mkdir ~/work
mat@mat-desktop:~$ cd ~/work
mat@mat-desktop:~/work$ apt-get source notify-osd
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
NOTE : l'empaquetage de 'notify-osd' est maintenu dans le système de contrôle de version 'Bzr' à:
http://bazaar.launchpad.net/~ubuntu-desktop/notify-osd/ubuntu
Please use:
bzr get http://bazaar.launchpad.net/~ubuntu-desktop/notify-osd/ubuntu
to retrieve the latest (possibly unreleased) updates to the package.
Nécessité de prendre 619ko dans les sources.
Réception de : 1 http://fr.archive.ubuntu.com karmic/main notify-osd 0.9.24-0ubuntu1 (dsc) [1 304B]
Réception de : 2 http://fr.archive.ubuntu.com karmic/main notify-osd 0.9.24-0ubuntu1 (tar) [605kB]
Réception de : 3 http://fr.archive.ubuntu.com karmic/main notify-osd 0.9.24-0ubuntu1 (diff) [13,3kB]
619ko réceptionnés en 1s (572ko/s)
gpgv: Signature faite le mar. 20 oct. 2009 11:33:22 CEST avec la clé DSA ID A2D7D292
gpgv: Impossible de vérifier la signature: clé publique non trouvée
dpkg-source: avertissement: impossible de vérifier la signature sur ./notify-osd_0.9.24-0ubuntu1.dsc
dpkg-source: info: extraction de notify-osd dans notify-osd-0.9.24
dpkg-source: info: extraction de notify-osd_0.9.24.orig.tar.gz
dpkg-source: info: mise en place de notify-osd_0.9.24-0ubuntu1.diff.gz
mat@mat-desktop:~/work$ wget http://m-del.net/wp-content/uploads/2010/04/notify-osd-cp.patch
--2010-04-20 13:17:56--  http://m-del.net/wp-content/uploads/2010/04/notify-osd-cp.patch
Résolution de m-del.net... 213.186.33.87
Connexion vers m-del.net|213.186.33.87|:80... connecté.
requête HTTP transmise, en attente de la réponse... 200 OK
Longueur: 23135 (23K) [text/plain]
Saving to: `notify-osd-cp.patch'

100%[======================================>] 23 135      --.-K/s   in 0,05s   

2010-04-20 13:17:56 (421 KB/s) - « notify-osd-cp.patch » sauvegardé [23135/23135]

mat@mat-desktop:~/work$ cd notify-osd-0.9.29
bash: cd: notify-osd-0.9.29: Aucun fichier ou dossier de ce type
mat@mat-desktop:~/work$ cd notify-osd-0.9.29
bash: cd: notify-osd-0.9.29: Aucun fichier ou dossier de ce type
mat@mat-desktop:~/work$ patch -p1 -i ../notify-osd-cp.patch
patch: **** Can't open patch file ../notify-osd-cp.patch : No such file or directory
mat@mat-desktop:~/work$

Dernière modification par exzemat (Le 20/04/2010, à 13:21)


xubuntu sur samsung nc10
ubuntu sur clevo w310cz
archlinux + kde sur pc fixe

Hors ligne

#3 Le 20/04/2010, à 14:01

Del Gro Badeu

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

Oui c'est normal, karmic utilise la version 0.9.24, et là il s'agit de la version 0.9.29 fournie dans la 10.4. Normalement, tu dois pouvoir utiliser la version 0.9.29 sans soucis, et tu trouveras le code source sur le launchpad du projet à cette adresse : https://launchpad.net/notify-osd (http://launchpad.net/notify-osd/lucid/ubuntu-10.04-beta-2/+download/notify-osd-0.9.29.tar.gz pour le source)

tu vas dans le répertoire où l'archive se trouve

tar zxf notify-osd-0.9.29.tar.gz
cd notify-osd-0.9.29

et tu reprends à l'étape suivante.

Bon courage.

ps :
pour tester si ça fonctionne bien avant de faire sudo make install, je te conseille de faire

killall notify-osd && ./src/notify-osd

Dernière modification par Del Gro Badeu (Le 20/04/2010, à 16:27)

Hors ligne

#4 Le 20/04/2010, à 15:13

exzemat

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

ohhhh...:mad:
des que ça dépasse le stade du .deb je merdouille
j'ai téléchargé le notify-osd-0.9.29.tar.gz (qui s'appelait notify-osd-0.9.29.orig.tar.gz)
renommé, déplacé et placé dans work....

et maintenant je bloque au make
(au fait c'est cd et pas ce dans "ce notify-osd-0.9.29"...faute de frappe excusable...)

mat@mat-desktop:~/work$ cd notify-osd-0.9.29
mat@mat-desktop:~/work/notify-osd-0.9.29$ patch -p1 -i ../notify-osd-cp.patch
patching file src/bubble.c
Hunk #4 succeeded at 3355 (offset -6 lines).
Hunk #5 succeeded at 3551 (offset -6 lines).
patching file src/defaults.c
patching file src/defaults.h
patching file src/display.c
patching file src/main.c
patching file src/stack.c
mat@mat-desktop:~/work/notify-osd-0.9.29$ ./configure --prefix=/usr
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking whether gcc understands -Wno-sign-compare... yes
checking what warning flags to pass to the C compiler... -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare
checking what language compliance flags to pass to the C compiler... 
checking whether to enable maintainer-specific portions of Makefiles... no
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for ar... ar
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking for gcc option to accept ISO C99... -std=gnu99
checking whether gcc -std=gnu99 and cc understand -c and -o together... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GLIB... configure: error: Package requirements (glib-2.0 >= 2.16.0 gthread-2.0 gconf-2.0 gio-2.0) were not met:

No package 'glib-2.0' found
No package 'gthread-2.0' found
No package 'gconf-2.0' found
No package 'gio-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GLIB_CFLAGS
and GLIB_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

mat@mat-desktop:~/work/notify-osd-0.9.29$ make
make: *** Pas de cibles spécifiées et aucun makefile n'a été trouvé. Arrêt.
mat@mat-desktop:~/work/notify-osd-0.9.29$ killall notify-osd && ./src/notify-osd
bash: ./src/notify-osd: Aucun fichier ou dossier de ce type
mat@mat-desktop:~/work/notify-osd-0.9.29$

avant de poursuivre une question d'importance,:
on est bien d'accord que puisque le fichier de config est dans ~/.config, seul ma session sera modifiée? et non l'osd de la session de ma conjointe?


xubuntu sur samsung nc10
ubuntu sur clevo w310cz
archlinux + kde sur pc fixe

Hors ligne

#5 Le 20/04/2010, à 16:39

Del Gro Badeu

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

Faute de frappe corrigée pour le cd.

Alors, il y a un truc qui attire mon oeil. Lorsqu'il faut télécharger les dépendances nécessaires à la compilation de notify-osd. Cela échoue :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants contiennent des dépendances non satisfaites :
  libgtk2.0-dev: Dépend: libpango1.0-dev (>= 1.20) mais ne sera pas installé
                 Dépend: libcairo2-dev (>= 1.6.4-6.1) mais ne sera pas installé
  libwnck-dev: Dépend: libpango1.0-dev mais ne sera pas installé
               Dépend: libcairo2-dev mais ne sera pas installé
E: Les dépendances de compilation pour notify-osd ne peuvent pas être satisfaites.

Erreur qui se trouve reportée ensuite par un échec du script de configuration :

checking for GLIB... configure: error: Package requirements (glib-2.0 >= 2.16.0 gthread-2.0 gconf-2.0 gio-2.0) were not met:

No package 'glib-2.0' found
No package 'gthread-2.0' found
No package 'gconf-2.0' found
No package 'gio-2.0' found

Et qui du coup empêche la compilation ensuite.

Le soucis, c'est que j'ai fait tout ça sur une 10.4, et je n'ai pas de 9.10 sous la main pour chercher le pourquoi du comment ça ne fonctionne pas dans ton cas. Si quelqu'un avec une 9.10 de son côté pour regarder. Mais je trouve ça particulièrement louche d'avoir un système qui refuse d'installer les paquets de développement.

Sinon, le patch est fait de telle manière qu'en l'absence du fichier ~/.notify-osd, le comportement est inchangé.
Le petit oubli concernant le comportement dynamic ou fixed des slots a été corrigé, cf post suivant.

Dernière modification par Del Gro Badeu (Le 20/04/2010, à 17:11)

Hors ligne

#6 Le 20/04/2010, à 17:04

Del Gro Badeu

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

Voilà le patch a été mis à jour, si le fichier ~/.notify-osd est absent, alors il n'y a aucune modification du comportement d'origine.

Par contre il y a un nouveau paramètre dans le fichier de configuration :

slot-allocation = dynamic

qui peut prendre le paramètre dynamic ou fixed. Quand dynamic est actif les deux slots de notifications sont utilisés peu importe la notification, quand c'est en fixed, le slot le plus proche du bord de l'écran est réservé aux notifications types volume, luminosité, etc.

Hors ligne

#7 Le 20/04/2010, à 18:44

exzemat

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

...bon, a dans un mois alors !
quand j'aurais migré sous lucid!!


xubuntu sur samsung nc10
ubuntu sur clevo w310cz
archlinux + kde sur pc fixe

Hors ligne

#8 Le 21/04/2010, à 18:38

Del Gro Badeu

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

Bon, je ne comprends vraiment pas le soucis que tu rencontres, je viens de tester à l'instant sur une Ubuntu 9.10 clean, et aucun soucis. J'ai fait deux scripts d'installation automatisée au cas où :

Karmic : http://m-del.net/wp-content/uploads/201 … -karmic.sh
Lucid : http://m-del.net/wp-content/uploads/201 … d-lucid.sh

Hors ligne

#9 Le 27/04/2010, à 22:12

lylambda

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

Del Gro Badeu, tout simplement Merci ! J'attendais ce patch depuis... ben depuis l'arrivé de Notify-OSD. Bref, soit loué !

Maintenant, quelques retours :

J'ai voulu installer ton patch suite à l'upgrade de mon systeme de Karmic sur Lucid. Il se trouve le script lucid bloquait contrairement au script karmic. Ce dernier m'a juste indiqué le manque d'une librairie que j'avais pourtant. L'installation de la version dev via synaptic a résolu le problème (mais je n'ai malheureusement pas noté le nom de la dépendance :-s).

Ensuite, en ce qui concerne la configuration, j'ai rencontré un petit problème dans le fichier .notify-osd que tu proposes. Sur un système français, le réglage de la transparence ("opacity") avec des valeurs présentant un point "." échoue. Il faut utiliser à la place une virgule ",".

Mise à part ces soucis relativement anodins, ton travail est parfait smile .

Hors ligne

#10 Le 01/05/2010, à 12:03

Del Gro Badeu

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

Merci pour le retour !

Je fonctionne avec un système qui a des locales US donc tu m’apprends quelque chose pour le «.» et la «,» je trouve ça à la fois un peu génial et un peu embêtant mais c’est certain que c’est à savoir.

Pour le script, c’est du à la va-vite et donc imparfait mais je jetterai un oeil à la sortie de Lucid pour fiabiliser tout ça smile


Si quelqu'un d'autre fait la modification en utilisant le script, pourrait il me dire où il bloque que j'y regarde de suite ? Je n'ai pas le temps de réinstaller mon système dans les jours à venir pour le faire moi même. Merci !

Hors ligne

#11 Le 02/05/2010, à 18:07

le hollandais volant

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

Merci !
C'est génial big_smile

Dans le même genre, j'ai fais ça, si peut intéresser :

remettre les notifications en haut de l ecran (lucid / karmic)
planifier un message visuel ubuntu 9-04 (Jaunty +)

Dernière modification par le hollandais volant (Le 02/05/2010, à 18:07)


Windows : il y a mieux ! Mais c'est moins cher…

Hors ligne

#12 Le 03/05/2010, à 19:03

kde4 fan

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

Del Gro Badeu
merci pour le patch
j'ai bien suivit la procédure sous lucid gnome mais j'ai l'impression que le fichier de config .notify-osd n'est pas pris en compte sur mon pc
j'ai modifier la couleur de bubble-background-color = B0DCEE et pas de changement de couleur
pour le soucie des (.) en (,) il faut procéder comment
merci


-------------------------------------------------------------------BONJOUR ET MERCI-----------------------------------------------------------
kubuntu 64 12.04 et Linux-Mint Maya 64 (MATE)
Bureau Animer Dreamnux : http://forum.ubuntu-fr.org/viewtopic.php?id=325865
Bureau Animer kreamnux : http://forum.kubuntu-fr.org/viewtopic.php?pid=8916691

Hors ligne

#13 Le 04/05/2010, à 19:17

amine38

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

salut à tous je viens d'essayer le script l'installation des librairies et tout se passe bien mais j'ai aucun dossier qui se crée ni de fichier à part work et ce qu'il y a dedans xD

Hors ligne

#14 Le 06/05/2010, à 16:54

le hollandais volant

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

Le fichier, s'il n'est pas crée, il faut le creer je pense...

@KDE4 fan : si ta configuration clavier est en francais, tu utilises des (,) au lieu des (.) dans les décimaux, par exemple :

au lieu de :

bubble-background-opacity = .50

tu mettra :

bubble-background-opacity = ,50

Dernière modification par le hollandais volant (Le 06/05/2010, à 16:55)


Windows : il y a mieux ! Mais c'est moins cher…

Hors ligne

#15 Le 08/05/2010, à 12:36

Del Gro Badeu

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

Voilà, comme le dit le hollandais volant, il y a une localisation des signes mathématiques, donc il faut suivre ses instructions. Je vais mettre à jour le premier message pour les prochains à suivre la procédure.

@Kde4 fan : avais tu redémarré notify-osd après tes modifications ?

Hors ligne

#16 Le 09/08/2010, à 12:06

exzemat

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

dans le genre, voilà un projet similaire mais qui m'a l'air un petit peu plus abouti (interface graphique...)
http://www.clapico.com/2010/05/26/notifyosd-configuration/


xubuntu sur samsung nc10
ubuntu sur clevo w310cz
archlinux + kde sur pc fixe

Hors ligne

#17 Le 10/08/2010, à 10:31

lylambda

Re : Personnalisation des bulles de notifications [patch inside] [MAJ]

dans le genre, voilà un projet similaire mais qui m'a l'air un petit peu plus abouti

Testé et approuvé, ce logiciel est parfaitement fonctionnel. Il est aussi un peu plus complet niveau option.

Hors ligne

Haut de page ↑